My Oracle Support Banner

Mysqlfailover Failed With Error Message "ERROR: Query failed. 1819 (HY000): Your password does not satisfy the current policy requirements" (Doc ID 2320933.1)

Last updated on MAY 23, 2021

Applies to:

MySQL Utilities - Version 1.6 and later
Information in this document applies to any platform.

Symptoms

Disclaimer: Starting from v8.0, some terms have been deprecated. Older releases will only use the deprecated terminology, and new releases will only use new terminology. Please see https://dev.mysql.com/doc/mysqld-version-reference/en/ for a complete list of those changes, and in which minor versions it happened.

When starting mysqlfailover without  --daemon=start option

 

Changes

 Password Validation Plugin was installed and enabled after setting replication. Existing replication user's password is weak and doesn't meet the requirements from Password Validation Plugin.

 By default, Password Validation Plugin require 8 characters long, one mixed case letter, one number and one special character.

Cause

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


In this Document
Symptoms
Changes
Cause
Solution
References


My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.